<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:coreButton="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="vm"
            type="pl.codepunk.receiptvault.ui.viewmodel.ConditionsViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/mainContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="?attr/backgroundColor"
        tools:context=".ui.fragments.ConditionsFragment">

        <TextView
            android:id="@+id/header"
            style="@style/Text.h1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="24dp"
            android:text="@string/conditions"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/text"
            style="@style/Text.h3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="24dp"
            android:text="@string/conditions_message"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/header" />

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/addReceiptBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="@{() -> vm.onDec()}"
            android:src="@drawable/ic_remove_symbol"
            app:backgroundTint="?attr/fabColor"
            app:fabSize="normal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/addReceiptBtn2"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/text"
            app:layout_constraintVertical_bias="0.9"
            app:tint="?attr/fabIconColorNegative" />

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/addReceiptBtn2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="@{() -> vm.onAck()}"
            android:src="@drawable/ic_correct_symbol"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toEndOf="@+id/addReceiptBtn"
            app:layout_constraintTop_toBottomOf="@+id/text"
            app:layout_constraintVertical_bias="0.9"
            coreButton:backgroundTint="?attr/fabColorPositive"
            coreButton:fabSize="normal"
            coreButton:tint="?attr/fabIconColor" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>